> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List shipments



## OpenAPI

````yaml /openapi.json get /v1/shipments/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/shipments/:
    get:
      tags:
        - Shipments
      summary: List shipments
      operationId: v1_shipments_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedShipmentList'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PaginatedShipmentList:
      type: array
      items:
        $ref: '#/components/schemas/Shipment'
    Shipment:
      type: object
      properties:
        id:
          type: string
          format: uuid
        bigcommerce_id:
          type: integer
        created_at:
          type: string
          format: date-time
        order_id:
          type: string
          format: uuid
        carrier:
          $ref: '#/components/schemas/CarrierEnum'
        tracking_number:
          type: string
          minLength: 1
        tracking_url:
          type: string
          format: uri
          minLength: 1
        ship_date:
          type: string
          format: date
        notes:
          type: string
          readOnly: true
        from_address:
          allOf:
            - $ref: '#/components/schemas/Address'
          nullable: true
        to_address:
          $ref: '#/components/schemas/Address'
        items:
          type: array
          items:
            $ref: '#/components/schemas/Items'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldLink'
      required:
        - bigcommerce_id
        - carrier
        - created_at
        - custom_fields
        - from_address
        - id
        - items
        - notes
        - order_id
        - ship_date
        - to_address
        - tracking_number
        - tracking_url
    CarrierEnum:
      enum:
        - stamps_com
        - usps
        - fedex
        - ups
        - canada_post
        - australia_post
        - other
      type: string
      description: |-
        * `stamps_com` - Stamps.com
        * `usps` - USPS
        * `fedex` - FedEx
        * `ups` - UPS
        * `canada_post` - Canada Post
        * `australia_post` - Australia Post
        * `other` - Other
    Address:
      type: object
      properties:
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        company:
          type: string
          minLength: 1
        phone:
          type: string
        street_1:
          type: string
          minLength: 1
        street_2:
          type: string
        city:
          type: string
          minLength: 1
        state_province:
          type: string
          minLength: 1
        postal_code:
          type: string
          minLength: 1
        country_iso2:
          type: string
          minLength: 1
      required:
        - city
        - company
        - country_iso2
        - first_name
        - last_name
        - phone
        - postal_code
        - state_province
        - street_1
        - street_2
    Items:
      type: object
      properties:
        line_item_id:
          type: string
          format: uuid
        quantity:
          type: integer
        lot_serial:
          type: string
          minLength: 1
        notes:
          type: string
          minLength: 1
      required:
        - line_item_id
        - lot_serial
        - notes
        - quantity
    CustomFieldLink:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        value:
          nullable: true
      required:
        - id
        - name
        - value
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````